Skip to main content
GET
/
api
/
v1
/
management
/
contacts
/
{contactId}
Get Contact by ID
curl --request GET \
  --url https://{baseurl}/api/v1/management/contacts/{contactId} \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://{baseurl}/api/v1/management/contacts/{contactId}"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://{baseurl}/api/v1/management/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2024-12-11T08:59:37.550Z",
    "id": "cm4jnsxcd00ufh3aqz1b6zox6",
    "updatedAt": "2024-12-11T08:59:37.550Z",
    "userId": null,
    "workspaceId": "cm37a748d0008hbwhqvvuba23"
  }
}
{
"code": "not_found",
"details": {
"resource_id": "cm4jnsxcd00ufh3aqz1b6zox6",
"resource_type": "Contact"
},
"message": "Contact not found"
}

Headers

x-api-key
string
required

Path Parameters

contactId
string
required

The ID of the contact to retrieve

Response

OK

The response is of type object.